const path = require("path");
const fileUrl = require("file-url");

module.exports = function(viewDirectory, options) {
	return function(viewPath) {
		let fullPath = path.join(viewDirectory, viewPath);

		if (options.extension != null) {
			fullPath += `.${options.extension}`;
		}

		return fileUrl(fullPath);
	}
}
