'use strict';

const chalk = require("chalk");

module.exports = function(livereload, logger) {
	var _oldChanged = livereload.changed.bind(livereload);
	livereload.changed = function(filePath) {
		logger.log(chalk.magenta(filePath) + " reloaded.");
		_oldChanged.apply(null, arguments);
	}
}
